Package org.opensaml.saml.metadata

# Class EntityGroupName

java.lang.Object
org.opensaml.saml.metadata.EntityGroupName

public class EntityGroupName extends Object
A bean class which is used to represent an entity group to which an `EntityDescriptor` belongs. It will typically be attached to an entity descriptor via its `XMLObject.getObjectMetadata()`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`name`
The entities descriptor group name.

## Constructor Summary

Constructors
Constructor
Description
`EntityGroupName(String newName)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getName()`
Get the entity group name.
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

@Nonnull @NotEmpty private String name
The entities descriptor group name.

## Constructor Details

### EntityGroupName

public EntityGroupName(@Nonnull @NotEmpty String newName)
Constructor.

Parameters:
  `newName` - the entity group name

## Method Details

### getName

@Nonnull @NotEmpty public String getName()
Get the entity group name.

Returns:
  the entity group name

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`